
Redmine - Feature #34857

Add total estimated hours, spent hours, total spent hours for issues to issue list API

2021-03-08 17:01 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution:    

Description

The issue index API currently does not return total estimated hours, spent hours and total spent hours, although the issue show API

does show those fields.

Related issues:

Has duplicate Redmine - Defect #18943: REST API does not return spent_hours w... Closed

Has duplicate Redmine - Feature #5303: Add spent_hours to /issues/index API Closed 2010-04-13

Has duplicate Redmine - Feature #35989: Plugin that Includes spent hours in i... Closed

Associated revisions

Revision 21051 - 2021-06-27 09:18 - Go MAEDA

Add total estimated hours, spent hours, total spent hours for issues to issue list API (#34857).

Patch by Felix Schäfer and Takenori TAKAKI.

History

#1 - 2021-03-08 17:02 - Felix Schäfer

- File 34857.patch added

The attached patch adds those fields to the issue index API.

#2 - 2021-03-09 09:14 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2021-04-28 08:13 - Takenori TAKAKI

- File 34857-test.patch added

I've written the test code for the feature that Felix added, and  post it.

#4 - 2021-05-12 16:09 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#5 - 2021-06-27 09:19 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#6 - 2021-08-09 06:25 - Go MAEDA

- Has duplicate Defect #18943: REST API does not return spent_hours when listing issues added

#7 - 2021-08-09 06:28 - Go MAEDA

- Has duplicate Feature #5303: Add spent_hours to /issues/index API added
#8 - 2021-10-15 04:45 - Go MAEDA

- Has duplicate Feature #35989: Plugin that Includes spent hours in issues REST API responses added

#9 - 2021-11-05 05:40 - Go MAEDA

- Tracker changed from Patch to Feature

Files

34857.patch 1.49 KB 2021-03-08 Felix Schäfer

34857-test.patch 1.66 KB 2021-04-28 Takenori TAKAKI
